MockHttpInputMessage (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.mock.http

## Class MockHttpInputMessage

- java.lang.Object
- - org.springframework.mock.http.MockHttpInputMessage

- All Implemented Interfaces:
    HttpInputMessage, HttpMessage
  Direct Known Subclasses:
    MockClientHttpResponse

      public class MockHttpInputMessage
      extends Object
      implements HttpInputMessage

  Mock implementation of `HttpInputMessage`.
  Since:
    3.2
  Author:
    Rossen Stoyanchev

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockHttpInputMessage(byte[] contents)`
    `MockHttpInputMessage(InputStream body)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getBody()` Return the body of the message as an input stream.
    `HttpHeaders` | `getHeaders()` Return the headers of this message.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockHttpInputMessage

          public MockHttpInputMessage(byte[] contents)

    - #### MockHttpInputMessage

          public MockHttpInputMessage(InputStream body)

  - ### Method Detail

    - #### getHeaders

          public HttpHeaders getHeaders()

      Description copied from interface: `HttpMessage`
      Return the headers of this message.
      Specified by:
        `getHeaders` in interface `HttpMessage`
      Returns:
        a corresponding HttpHeaders object

    - #### getBody

          public InputStream getBody()
                              throws IOException

      Description copied from interface: `HttpInputMessage`
      Return the body of the message as an input stream.
      Specified by:
        `getBody` in interface `HttpInputMessage`
      Returns:
        the input stream body
      Throws:
        `IOException` - in case of I/O Errors